Compatibility & Dependencies

Somdev Sangwan edited this page Oct 23, 2018 · 5 revisions

Compatibility

Python Versions

Photon is fully compatible with python versions 2.x - 3.x at present but will most likely end up deprecating python2.x support in future as this project is under heavy development and may require features that aren't available in python2.

Operating Systems

Photon has been tested on Linux (Arch, Debian, Ubnutu), Termux, Windows (7 & 10), Mac, and works as expected. Feel free to report any bugs you encounter.

Colors

Mac & Windows don't support ANSI escape sequences so the output won't be colored on Mac & Windows.

Dependencies

  • tld
  • requests

Rest of the python libraries used by Photon are standard libraries which come preinstalled with a python interpreter.

You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.